package com.chenyang.nse.bussiness.engine.infa.basic.webservice;

import java.util.List;

public class SessionBean {
   private String status;
   private long srcsuccessrows;
   private long srcfailedrows;
   private long tgtsuccessrows;
   private long tgtfailedrows;
   private String wf_run_id;
   private String start_time;
   private String end_time;
   private String wf_log;
   private String se_log;
   private String task_name;
   private List<SessionBeanDetail> sessionBeanDetail;

   public List<SessionBeanDetail> getSessionBeanDetail() {
      return this.sessionBeanDetail;
   }

   public void setSessionBeanDetail(List<SessionBeanDetail> sessionBeanDetail) {
      this.sessionBeanDetail = sessionBeanDetail;
   }

   public String getTask_name() {
      return this.task_name;
   }

   public void setTask_name(String task_name) {
      this.task_name = task_name;
   }

   public String getStart_time() {
      return this.start_time;
   }

   public void setStart_time(String start_time) {
      this.start_time = start_time;
   }

   public String getEnd_time() {
      return this.end_time;
   }

   public void setEnd_time(String end_time) {
      this.end_time = end_time;
   }

   public String getWf_log() {
      return this.wf_log;
   }

   public void setWf_log(String wf_log) {
      this.wf_log = wf_log;
   }

   public String getSe_log() {
      return this.se_log;
   }

   public void setSe_log(String se_log) {
      this.se_log = se_log;
   }

   public String getWf_run_id() {
      return this.wf_run_id;
   }

   public void setWf_run_id(String wf_run_id) {
      this.wf_run_id = wf_run_id;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public long getSrcsuccessrows() {
      return this.srcsuccessrows;
   }

   public void setSrcsuccessrows(long srcsuccessrows) {
      this.srcsuccessrows = srcsuccessrows;
   }

   public long getSrcfailedrows() {
      return this.srcfailedrows;
   }

   public void setSrcfailedrows(long srcfailedrows) {
      this.srcfailedrows = srcfailedrows;
   }

   public long getTgtsuccessrows() {
      return this.tgtsuccessrows;
   }

   public void setTgtsuccessrows(long tgtsuccessrows) {
      this.tgtsuccessrows = tgtsuccessrows;
   }

   public long getTgtfailedrows() {
      return this.tgtfailedrows;
   }

   public void setTgtfailedrows(long tgtfailedrows) {
      this.tgtfailedrows = tgtfailedrows;
   }
}
